# Project Plan
## Title
Correlation between R&D Investment and Human development Index.

## Main Question
Does the government spending on research and development affects the trends in Human Development Index?

## Description
The aim of this project is to analyse how government spending on research and development activity affects the trend in human development index. The Human Development Index (HDI) is a summary measure of average achievement in key dimensions of human development: a long and healthy life, being knowledgeable and having a decent standard of living. 

## Data Sources
### Data Source 1: hdr.undp.org
* Data Url : <https://hdr.undp.org/sites/default/files/2021-22_HDR/HDR21-22_Statistical_Annex_HDI_Trends_Table.xlsx>
* type : excel

### Data Source 2: worldbank.org
* Data Url : <https://api.worldbank.org/v2/en/indicator/GB.XPD.RSDV.GD.ZS?downloadformat=excel>
* type : excel

## Work Packages
1. Data Extraction and Preprocessing
2. Exploratory data Analysis
3. Plot graphs to observe trends
4. Analyse the change in HDI corresponding to R&D investements over a defined period of years.
5. Conclusion.
